<!DOCTYPE html>
<html lang="hr">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Flexbox Tablica</title>
    <style>
        .flex-table {
            display: flex;
            flex-direction: column;
            width: 100%;
            max-width: 600px;
            /* prilagodite prema potrebi */
            margin: 100px auto;
            border-collapse: collapse;
        }

        .flex-row {
            display: flex;
            margin: 5px 0px;
        }

        .flex-cell {
            flex: 10;
            border: 1px solid #ddd;
            padding: 8px;
            text-align: center;
            margin-left:10px;
        }
        .flex-cell-ID{
            flex: 1;
            border: 1px solid #ddd;
            padding: 8px;
            text-align: center;
        }

        .header {
            background-color: #f5f5f5;
            font-weight: bold;
        }
    </style>
</head>

<body>
    <div class="flex-table">
        <div class="flex-row header">
            <div class="flex-cell-ID">ID</div>
            <div class="flex-cell">Ime</div>
            <div class="flex-cell">Prezime</div>
        </div>
        <div class="flex-row">
            <div class="flex-cell-ID">1</div>
            <div class="flex-cell">Ivan</div>
            <div class="flex-cell">Ivić</div>
        </div>
        <div class="flex-row">
            <div class="flex-cell-ID">2</div>
            <div class="flex-cell">Ana</div>
            <div class="flex-cell">Anić</div>
        </div>
    </div>
</body>

</html>